import styles from './mainNavbar.module.css'

const MainNavbar = ({ handleLoginClick }) => {
  const handleClick = () => {
    handleLoginClick();
  };

  return (
    <nav>
        <div className={styles.Navbar_Container}>
        <a href='/'><svg width="146" height="49" viewBox="0 0 146 49" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path fillRule="evenodd" clipRule="evenodd" d="M140.292 37.0384C143.901 35.808 146 33.1874 146 29.3364C146 27.439 145.342 25.7041 144.079 24.241C142.213 22.0717 139.084 20.7152 134.913 20.2807C133.489 20.1042 129.918 19.6501 129.918 17.677C129.918 15.4908 137.004 14.9135 138.865 17.4079C139.35 18.0666 139.359 18.8597 139.359 19.6305H146C146 17.548 145.643 15.6169 144.462 13.8288C143.089 11.7127 140.235 9.21826 134.528 9.21826C130.193 9.21826 127.01 10.3562 125.033 12.5816C124.099 13.6102 123.058 15.4011 123.058 18.0021C123.058 19.9556 123.716 21.6373 125.033 23.1003C125.966 24.0757 127.174 24.8913 128.655 25.4854C130.136 26.1385 132.003 26.5701 134.145 26.7887C136.011 27.0045 139.194 27.6015 139.194 29.3364C139.194 29.6615 139.084 30.2053 138.204 30.6369C136.411 31.5842 131.509 31.6487 130.301 29.6615C129.813 28.8908 129.699 27.9014 129.699 27.0045L123.058 26.898C123.058 31.5814 124.752 35.3035 129.424 36.9823C132.505 38.224 137.172 38.0642 140.292 37.0384ZM73.6307 10.373C66.0817 12.2957 61.5058 19.9136 63.4547 27.3689C65.4009 34.8242 73.1087 39.3451 80.6577 37.4224C86.6067 35.8949 89.0152 32.6717 90.7826 27.5931L83.3159 27.1503C82.252 28.902 80.8875 30.0371 78.8705 30.5977C76.1754 31.2647 73.0037 30.2305 71.4548 27.9042L91.4862 23.0022C90.5954 14.5295 82.113 8.20927 73.6307 10.373ZM80.7031 17.9572C81.5145 18.4842 82.2322 19.0896 82.7655 19.8519L70.2548 22.9461C70.3598 22.0268 70.7059 21.158 71.1314 20.3816C73.0917 17.1501 77.4095 16.099 80.7031 17.9572ZM113.396 9.92455L106.261 25.5415L98.5756 9.92455H89.6308L103.353 37.8512H109.171L122.289 9.92455H113.396ZM60.7597 37.8512L60.703 0H53.0206V13.1225C50.5497 11.1157 47.4206 9.92455 43.9624 9.92455C36.1694 9.9778 29.8573 16.2672 29.9112 23.9692C29.968 31.6683 36.334 37.9044 44.1269 37.8512C47.5312 37.8512 50.6603 36.604 53.0745 34.6504V37.8512H60.7597ZM49.0121 28.7394C47.6958 30.0427 45.9397 30.7462 44.073 30.8023C42.2064 30.8023 40.4503 30.096 39.134 28.7955C37.8148 27.4922 37.1028 25.7573 37.1028 23.9131C37.0489 22.0717 37.8148 20.39 39.0773 19.0335C40.3964 17.733 42.1525 17.0267 44.0191 17.0267C45.8858 17.0267 47.6419 17.733 48.9582 18.9803C50.2745 20.2807 50.9894 22.0156 51.0433 23.8598C51.0433 25.7041 50.3312 27.439 49.0121 28.7394Z" fill="#1D1A2F"/>
            <path fillRule="evenodd" clipRule="evenodd" d="M1.18582 48.667V41.604H25.9264V48.667H1.18582ZM0 24.4568C0 42.3047 27.1151 42.3047 27.1151 24.4568C27.1151 20.0088 27.1151 9.81519 27.1151 9.81519H19.9774C19.9774 14.5154 19.9774 19.2156 19.9774 23.913C19.9774 33.0108 7.1348 33.0108 7.1348 23.913C7.1348 19.2156 7.1348 14.5154 7.1348 9.81519H0C0 9.81519 0 20.0088 0 24.4568Z" fill="#1B5BF7"/>
        </svg></a>
        <div className={styles.Login_Button_Container}>
        <a href='/'><svg width="22" height="27" viewBox="0 0 22 27" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M11 26.3334C12.4666 26.3334 13.6666 25.1334 13.6666 23.6667H8.33331C8.33331 25.1334 9.51998 26.3334 11 26.3334ZM19 18.3334V11.6667C19 7.57337 16.8133 4.14671 13 3.24004V0.333374H8.99998V3.24004C5.17331 4.14671 2.99998 7.56004 2.99998 11.6667V18.3334L0.333313 21V22.3334H21.6666V21L19 18.3334Z" fill="#48535B"/>
        </svg></a>
        <button className={styles.Login_Button} onClick={handleClick} >Войти</button>
        </div>

        </div>
    </nav>
  )
}

export default MainNavbar